> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit details of the given user.



## OpenAPI

````yaml api-reference/openapi.json put /api/users/{id}
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/users/{id}:
    put:
      tags:
        - Users
      summary: Edit details of the given user.
      operationId: UsersController_editUser
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditUserDto'
      responses:
        '200':
          description: The user has been edited successfully.
          content:
            application/json:
              schema:
                example:
                  id: 1
                  message: The user has been edited successfully.
components:
  schemas:
    EditUserDto:
      type: object
      properties:
        firstName:
          type: string
          description: First name of the user
          example: John
        lastName:
          type: string
          description: Last name of the user
          example: Doe
        email:
          type: string
          description: Email address of the user
          example: john.doe@example.com
        roleId:
          type: number
          description: Role ID assigned to the user
          example: 2
      required:
        - firstName
        - lastName
        - email
        - roleId

````